# Class BorderUIResource.CompoundBorderUIResource

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.border.CompoundBorder
javax.swing.plaf.BorderUIResource.CompoundBorderUIResource

All Implemented Interfaces:
  `Serializable`, `Border`, `UIResource`

Enclosing class:
  `BorderUIResource`

public static class BorderUIResource.CompoundBorderUIResource extends CompoundBorder implements UIResource
A compound border UI resource.

## Field Summary

### Fields declared in class javax.swing.border.CompoundBorder

`insideBorder, outsideBorder`

## Constructor Summary

Constructors
Constructor
Description
`CompoundBorderUIResource(Border outsideBorder, Border insideBorder)`
Constructs a `CompoundBorderUIResource`.

## Method Summary

### Methods declared in class javax.swing.border.CompoundBorder

`getBorderInsets, getInsideBorder, getOutsideBorder, isBorderOpaque, paintBorder`

### Methods declared in class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompoundBorderUIResource

@ConstructorProperties({"outsideBorder","insideBorder"}) public CompoundBorderUIResource(Border outsideBorder, Border insideBorder)
Constructs a `CompoundBorderUIResource`.

Parameters:
  `outsideBorder` - the outside border
  `insideBorder` - the inside border